#include "androidlinker.h"
#include "androidtools.h"

using namespace std;

AndroidLinker::AndroidLinker(Builder &b, const Architecture &a, const AndroidNdk &ndk):
	GnuLinker(b, a, ndk.get_platform_sysroot())
{
	set_command((ndk.get_bin_dir()/command).str());
	build_info.libpath.insert(build_info.libpath.end(), system_path.begin(), system_path.end());
}

Target *AndroidLinker::create_target(const list<Target *> &sources, const string &)
{
	return GnuLinker::create_target(sources, "shared");
}
